## org.python.core
Enum PyFloat.Format

    java.lang.Object
      java.lang.Enum<PyFloat.Format>
          org.python.core.PyFloat.Format

All Implemented Interfaces:
  Serializable, Comparable<PyFloat.Format>

Enclosing class:
  PyFloat

    public static enum PyFloat.Format

extends Enum<PyFloat.Format>

Enum Constant Summary
`BE`
`LE`
`UNKNOWN`

Method Summary
`String` `format()`
`static PyFloat.Format` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PyFloat.Format[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNKNOWN

    public static final PyFloat.Format UNKNOWN

### BE

    public static final PyFloat.Format BE

### LE

    public static final PyFloat.Format LE

Method Detail

### values

    public static final PyFloat.Format[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(PyFloat.Format c : PyFloat.Format.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static PyFloat.Format valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### format

    public String format()

Jython homepage